# Limita funkce a spojitost

Mějme dánu funkci $f : D \to \mathbb{R}$ a bod $x_0 \in \mathbb{R}^*$, který je hromadným bodem $D$.

Řekneme, že funkce $f$ má **limitu** $b \in \mathbb{R}^*$ v bodě $x_{0}$, jestliže pro **každou** posloupnost $(x_{0})$ platí
$$
\left( ( \space \forall \, n \in \mathbb{N} : x_{n} \in D \quad \land \quad x_{n} \neq x_{0} \space ) \quad \land \quad \lim_{ n \to \infty }{x_{n}} = x_{0} \space \right) \quad \implies \quad \lim_{ n \to \infty }{f(x_{n})} = b 
$$

a píšeme $\displaystyle\lim_{ x \to \infty }{f(x)} = b$.

### Spojitost funkce

- spojité funkce umíme načrtnout jedním tahem
- příklad
	- spojité procesy (růst člověka)
	- nespojité procesy (bankovní účet)

### Definice

Funkce $f$ je

| typ spojitosti                 | podmínka                                                   | 
| ------------------------------ | ---------------------------------------------------------- |
| spojitá v $x_0 \in D_f$        | pokud $\displaystyle f(x_{0}) = \lim_{ x \to x_{0} } f(x)$ |
| spojitá zprava v $x_0 \in D_f$ | pokud $\displaystyle f(x_{0}) = f(x_{0}+)$                 |
| spojitá zleva v $x_0 \in D_f$  | pokud $\displaystyle f(x_{0}) = f(x_{0}-)$                 |

### Body nespojitosti

Tři druhy bodů nespojitosti:
- **ON** - odstranitelná nespojitost
	- pokud $\displaystyle f(x_{0}) \neq \lim_{ x \to x_{0} } f(x) \in \mathbb{R}$
		- limita zprava i zleva je stejná - $f(x_{0}+) = f(x_{0}-)$
	- funkční hodnota v $x_0$ se nerovná limitě v $x_0$, která je vlastní
- **NN1D** - neodstranitelné nespojitost 1. druhu
	- pokud $f(x_{0}+), f(x_{0}-) \in \mathbb{R}$, ale $f(x_{0}+) \neq f(x_{0}-)$
	- limita zprava i zleva je vlastní, ale nerovnají se
	- nazývá se také **skoková nespojitost** se skokem $s$
- **NN2D** - neodstranitelná nespojitost 2. druhu
	- neexistuje alespoň jedna vlastní limita $f(x_{0}+)$ nebo $f(x_{0}-)$
		- alespoň jedna neexistuje nebo není alespoň jedna vlastní